org.richfaces.fragment.common

## Class Event

- java.lang.Object
- - org.richfaces.fragment.common.Event

-     public class Event
      extends Object

  Encapsulates event definitions from DOM Events model.

  Events matches it's equivalents in JavaScript, where are used "onevent" for binding with event called "event".

  Copy of org.jboss.arquillian.ajocado.dom.Event;

  Author:
    Lukas Fryc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Event` | `ABORT` The event definition for 'abort'
    `static Event` | `BLUR` The event definition for 'blur'
    `static Event` | `CHANGE` The event definition for 'change'
    `static Event` | `CLICK` The event definition for 'click'
    `static Event` | `CONTEXTCLICK` The event definition for 'right click', just a marker, not valid JS event
    `static Event` | `CONTEXTMENU` The event definition for 'right click'
    `static Event` | `DBLCLICK` The event definition for 'dblclick'
    `static Event` | `ERROR` The event definition for 'error'
    `static Event` | `FOCUS` The event definition for 'focus'
    `static Event` | `KEYDOWN` The event definition for 'keydown'
    `static Event` | `KEYPRESS` The event definition for 'keypress'
    `static Event` | `KEYUP` The event definition for 'keyup'
    `static Event` | `LOAD` The event definition for 'load'
    `static Event` | `MOUSEDOWN` The event definition for 'mousedown'
    `static Event` | `MOUSEMOVE` The event definition for 'mousemove'
    `static Event` | `MOUSEOUT` The event definition for 'mouseout'
    `static Event` | `MOUSEOVER` The event definition for 'mouseover'
    `static Event` | `MOUSEUP` The event definition for 'mouseup'
    `static Event` | `RESET` The event definition for 'reset'
    `static Event` | `RESIZE` The event definition for 'resize'
    `static Event` | `SELECT` The event definition for 'select'
    `static Event` | `SUBMIT` The event definition for 'submit'
    `static Event` | `UNLOAD` The event definition for 'unload'

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event(String eventName)` Initializes new event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getEventName()` Returns the name of this event as it is specified in DOM Event model.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ABORT

          public static final Event ABORT

      The event definition for 'abort'

    - #### BLUR

          public static final Event BLUR

      The event definition for 'blur'

    - #### CHANGE

          public static final Event CHANGE

      The event definition for 'change'

    - #### CLICK

          public static final Event CLICK

      The event definition for 'click'

    - #### CONTEXTCLICK

          public static final Event CONTEXTCLICK

      The event definition for 'right click', just a marker, not valid JS event

    - #### CONTEXTMENU

          public static final Event CONTEXTMENU

      The event definition for 'right click'

    - #### DBLCLICK

          public static final Event DBLCLICK

      The event definition for 'dblclick'

    - #### ERROR

          public static final Event ERROR

      The event definition for 'error'

    - #### FOCUS

          public static final Event FOCUS

      The event definition for 'focus'

    - #### KEYDOWN

          public static final Event KEYDOWN

      The event definition for 'keydown'

    - #### KEYPRESS

          public static final Event KEYPRESS

      The event definition for 'keypress'

    - #### KEYUP

          public static final Event KEYUP

      The event definition for 'keyup'

    - #### LOAD

          public static final Event LOAD

      The event definition for 'load'

    - #### MOUSEDOWN

          public static final Event MOUSEDOWN

      The event definition for 'mousedown'

    - #### MOUSEMOVE

          public static final Event MOUSEMOVE

      The event definition for 'mousemove'

    - #### MOUSEOUT

          public static final Event MOUSEOUT

      The event definition for 'mouseout'

    - #### MOUSEOVER

          public static final Event MOUSEOVER

      The event definition for 'mouseover'

    - #### MOUSEUP

          public static final Event MOUSEUP

      The event definition for 'mouseup'

    - #### RESET

          public static final Event RESET

      The event definition for 'reset'

    - #### RESIZE

          public static final Event RESIZE

      The event definition for 'resize'

    - #### SELECT

          public static final Event SELECT

      The event definition for 'select'

    - #### SUBMIT

          public static final Event SUBMIT

      The event definition for 'submit'

    - #### UNLOAD

          public static final Event UNLOAD

      The event definition for 'unload'

  - ### Constructor Detail

    - #### Event

          public Event(String eventName)

      Initializes new event.

      Use for extending event model as it can became out-of-date.

      Parameters:
        `eventName` - the name for event in DOM Event model

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getEventName

          public String getEventName()

      Returns the name of this event as it is specified in DOM Event model.
      Returns:
        the event name

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.